> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy định dạng Gemini

> Trả về danh sách các mô hình khả dụng theo định dạng Gemini API



## OpenAPI

````yaml api-reference/vi/openapi.json GET /v1beta/models
openapi: 3.0.0
info:
  title: Tài liệu tham khảo API của 出海营
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: Định dạng OpenAI (Chat)
  - name: Định dạng OpenAI (Responses)
  - name: Định dạng Gemini cho tạo ảnh
  - name: Tạo hình ảnhOpenAI định dạng DALL-E
  - name: Lấy danh sách mô hình
  - name: Tạo video HappyHorse và Wan
  - name: Định dạngKling tạo video
  - name: Định dạng Video Generation Omni và Veo
  - name: Tạo video Seedance
  - name: Định dạng tương thích Sora cho tạo video
  - name: Tạo video Vidu
  - name: Định dạng tác vụ tạo nhạc
paths:
  /v1beta/models:
    get:
      tags:
        - Lấy danh sách mô hình
      summary: Lấy định dạng Gemini
      description: Trả về danh sách các mô hình khả dụng theo định dạng Gemini API
      operationId: listModelsGemini
      parameters: []
      responses:
        '200':
          description: Lấy danh sách mô hình thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiModelsResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    GeminiModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: models/gemini-pro
              version:
                type: string
              displayName:
                type: string
              description:
                type: string
              inputTokenLimit:
                type: integer
              outputTokenLimit:
                type: integer
              supportedGenerationMethods:
                type: array
                items:
                  type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Sử dụng xác thực Bearer Token.
        Định dạng: `Authorization: Bearer sk-xxxxxx`

````